﻿using System;
using System.Windows.Forms;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.showButton.Click += showButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 대화 상자 표시 버튼 클릭시 처리하기 - showButton_Click(sender, e)

        /// <summary>
        /// 대화 상자 표시 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showButton_Click(object sender, EventArgs e)
        {
            XtraMessageBoxArgs xtraMessageBoxArgs = new XtraMessageBoxArgs();

            xtraMessageBoxArgs.Caption                                   = "INFORMATION";
            xtraMessageBoxArgs.Text                                      = "작업 진행 여부를 선택해 주시기 바랍니다.\n미선택시 5초후 자동 취소합니다.";
            xtraMessageBoxArgs.Buttons                                   = new DialogResult[] { DialogResult.OK, DialogResult.Cancel };
            xtraMessageBoxArgs.DefaultButtonIndex                        = 0;
            xtraMessageBoxArgs.AutoCloseOptions.Delay                    = 5000;
            xtraMessageBoxArgs.AutoCloseOptions.ShowTimerOnDefaultButton = true;

            XtraMessageBox.Show(xtraMessageBoxArgs);
        }

        #endregion
    }
}